#version 130
precision mediump float;

uniform mat4 perspective;
uniform mat4 model;

in vec4 vertex;
in vec2 texCoord;

out vec2 fragTexCoord;

void main() {
    fragTexCoord = texCoord;
    gl_Position = perspective * model * vertex;
}
