#version 130
precision mediump float;

uniform mat4 perspective;
uniform mat4 modelview;

in vec4 vertex;
in vec2 texCoord;

out vec2 frag_texCoord;

void main() {
	frag_texCoord = texCoord;
    
	gl_Position = perspective * modelview * vertex;
}