#version 130
precision mediump float;

uniform mat4 perspective;
uniform mat4 view;
uniform mat4 model;

in vec4 vertex;
in vec3 normal;
in vec2 texCoord;

out vec2 frag_texCoord;

void main() {
	frag_texCoord = texCoord;
    
	gl_Position = perspective * view * model * vertex;
}